Optix/RTX support

Discussion related to the LuxCore functionality, implementations and API.
User avatar
B.Y.O.B.
Developer
Posts: 3677
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: Optix/RTX support

Post by B.Y.O.B. » Fri Jul 31, 2020 4:02 pm

I have the game drivers, no Optix or CUDA SDK, and Optix is working fine here on Windows.

CodeHD
Posts: 314
Joined: Tue Dec 11, 2018 12:38 pm
Location: Germany

Re: Optix/RTX support

Post by CodeHD » Fri Jul 31, 2020 4:11 pm

I had a pre-450 driver until today. Could it be that it doesn't use optix because I had already compiled the OCL-kernel with the old driver? Wasn't it so that each LuxCore installation now only compiles once?

CodeHD
Posts: 314
Joined: Tue Dec 11, 2018 12:38 pm
Location: Germany

Re: Optix/RTX support

Post by CodeHD » Fri Jul 31, 2020 4:58 pm

I just found out that I had to enable CUDA/OPTIX in the addon preferences :!:

Now it seems to work (and still on Game-Ready driver as well, just to conform with BYOB's statement).

juangea
Donor
Posts: 166
Joined: Thu Jan 02, 2020 6:23 pm

Re: Optix/RTX support

Post by juangea » Fri Jul 31, 2020 6:35 pm

It includes Optix Support, we don't use Studio version at all, so it must include the support.

User avatar
Odilkhan Yakubov
Posts: 112
Joined: Fri Jan 26, 2018 10:07 pm
Location: Tashkent, Uzbekistan

Re: Optix/RTX support

Post by Odilkhan Yakubov » Sat Aug 01, 2020 7:15 am

Im also selected Optix on blender user pref system and also selected cuda on lux addon too. Optix works but there isnt optix denoiser option in luxcore latest build. Am i wrong?
Allah bless us!

CPU: Core 2 Quad Q6600 @2.4Ghz
GPU: MSI GTX 1060 6Gb GDDR5 192bit
RAM: 3Gb DDR2 800Mhz (too old :( )
OS: Win7 64bit
Blender: 2.90 alpha (E-Cycles version)
LuxCore: v2.4 (official)

acasta69
Developer
Posts: 340
Joined: Tue Jan 09, 2018 3:45 pm

Re: Optix/RTX support

Post by acasta69 » Sat Aug 01, 2020 11:57 am

Since our Optix/RTX implementation needs Cuda 11, should we update the nvrtc and nvrtc-builtins libraries to v11?
At the moment we are distributing v10.1, at least in Windows packages.

I was testing if the GTX970 + driver v451.67 is working with Optix and had some strange behaviour (i.e. LuxCoreUI suddenly exiting without error messages). I was wondering if that could be the cause.
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v445.87

User avatar
Dade
Developer
Posts: 4484
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: Optix/RTX support

Post by Dade » Sat Aug 01, 2020 2:59 pm

acasta69 wrote:
Sat Aug 01, 2020 11:57 am
Since our Optix/RTX implementation needs Cuda 11, should we update the nvrtc and nvrtc-builtins libraries to v11?
At the moment we are distributing v10.1, at least in Windows packages.

I was testing if the GTX970 + driver v451.67 is working with Optix and had some strange behaviour (i.e. LuxCoreUI suddenly exiting without error messages). I was wondering if that could be the cause.
You can run CUDA 10 PTX on CUDA 11 but not CUDA 11 PTX on CUDA 10 so using an older compiler (NVRTC) is not a problem but a newer requires the very latest drivers.

LuxCore doesn't need CUDA 11 (or CUDA 10 for what it matters) and Optix doesn't use our NVRTC so we can use whatever version we want.

May be, we will have to use CUDA 11 NVRTC with the next generation of NVIDIA GPUs but, for the moment, it is not required.
Support LuxCoreRender project with salts and bounties

Post Reply